---
updatedAt: 2025-11-11T00:04:31.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Fetch Card By PAN

The API allows you to fetch a card by its PAN, Issuer Number, Sequence Number, and Expiry Date.

> 📘 What is a PAN ?
>
> The primary account number or payment card number is a card identifier. It is made of  16-19 numbers which are found on the card.

## Fetch A Single Card Using Its PAN

To fetch a card successfully, make a POST Request to fetch a [single card by PAN endpoin](ref:/refs/fetch-single-card-by-pan) .

```coffeescript Fetch a single card
POST /card-management/api/v1/card/fetchSingle
```

These are the parameters of the request:

**Body Parameters**

| Field # | Field name     | Data type | Required | Max length | Description                        |
| :------ | :------------- | :-------- | :------- | :--------- | :--------------------------------- |
| 1       | issuerNr       | int       | true     | 3          | Issuer Number e.g 2                |
| 2       | pan            | string    | true     | 16 to 19   | Card Personal Account Number (PAN) |
| 3       | cardSequenceNr | string    | true     |            | Card Sequence Number               |
| 4       | expiryDate     | string    | true     | 4 to 4     | Card Expiry Date                   |

The request should look like this :

```coffeescript Request
{
  "issuerNr": 2,
  "pan": "506100000000000363",
  "cardSequenceNr": "001",
  "expiryDate": "5004"
}
```

**Response Message  field description**

| Field # | Field name  | Description                       |
| :------ | :---------- | :-------------------------------- |
| 1       | code        | Internal Response Code            |
| 2       | description | Successful or Error Message       |
| 3       | cardDetails | List of Card Details              |
| 4       | errors      | Errors array if any errors exist. |

This is what a typical successful or failed response would look like

```coffeescript success
{
  "code": "00",
  "description": "Successful",
  "cardDetails": [
    {
      "pan": "5061800000000000363",
      "expiryDate": "2305",
      "issuerNr": "4",
      "firstName": "Test",
      "lastName": "Test",
      "nameOnCard": "Test",
      "cardProgram": "VISA",
      "customerId": "20220801105234816930543",
      "cardStatus": "1",
      "seqNr": "001"
    }
  ]
}
```
```coffeescript failure
{
  "code": "10500",
  "description": "Error Processing Request",
  "correlationId": "2aa197eda43540a4ad85b8d0bf570871"
}
```